## org.eclipse.datatools.sqltools.sqlbuilder.actions
Class RevertToPreviousAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.sqltools.sqlbuilder.actions.SQLBuilderAction
                      org.eclipse.datatools.sqltools.sqlbuilder.actions.RevertToPreviousAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

    public class RevertToPreviousAction

extends SQLBuilderAction

This class implements an action which prompts the user whether or not to revert to last known good (parsable) version of the statement.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`RevertToPreviousAction()` Constructs an instance of this class.
`RevertToPreviousAction(java.lang.String label)` Constructs an instance of this class with the given action label.

Method Summary
`void` `run()` Runs the action.

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.actions.SQLBuilderAction
`getShell, getSQLBuilder, setShell, setSQLBuilder`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### RevertToPreviousAction

    public RevertToPreviousAction()

  Constructs an instance of this class. This is the default constructor.

### RevertToPreviousAction

    public RevertToPreviousAction(java.lang.String label)

  Constructs an instance of this class with the given action label.

  Parameters:
    `label` - the action label to use

Method Detail

### run

    public void run()

  Runs the action. The user is prompted whether or not to revert to the previous good (parsable) version of the statement.

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`